## Copyright (C) 2009, 2010 Thomas Weidenfeller
## 
## This file is part of gds2000tools/gds-octave.
## 
## gds2000tools/gds-octave is free software: you can redistribute it
## and/or modify it under the terms of the GNU General Public License
## version 3 as published by the Free Software Foundation.
## 
## gds2000tools/gds-octave is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with gds2000tools/gds-octave.  If not,
## see <http://www.gnu.org/licenses/>.
##

## usage: SELECTION = __gds_fmenu2(TITLE, MENUCELL)
## usage: gds_analyse(DIRECTORY)
##
## A "pick a number" menu.
##
## TITLE is a title string.
##
## MENUCELL is a cell matrix of menu labels and return values.
##
## SELECTION is the selected value.
##
## Example:
## selection = __gds_fmenu2("Title",
##   { "Item1", value1;
##     "Item2", value2;
##     "Item3", value3 }
## );
##
## See also: __gds_menu2, menu
##

## Author: Thomas Weidenfeller
## Created: 2009-09-06
## Version: $Id: __gds_fmenu2.m,v 1.2 2010/06/02 23:08:30 tw Exp $
## Keywords: Oscilloscope, GDS-2000, gds2000tools, plot

function fh = __gds_fmenu2(title, c)
	selection = __gds_menu2(title, c{:, 1});
	fh = c{selection, 2};
endfunction
