## Copyright (C) 2010 Thomas Weidenfeller
## 
## This file is part of gds2000tools/gds-octave.
## 
## gds2000tools/gds-octave is free software: you can redistribute it
## and/or modify it under the terms of the GNU General Public License
## version 3 as published by the Free Software Foundation.
## 
## gds2000tools/gds-octave is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with gds2000tools/gds-octave.  If not,
## see <http://www.gnu.org/licenses/>.
##

## usage: [ml] = __gds_memory_length(GDSSTRUCT)
##
## Returns the number of samples in GDSSTRUCT.

## Author: Thomas Weidenfeller
## Created: 2010-07-12
## Version: $Id: __gds_memory_length.m,v 1.2 2010/12/31 02:28:33 tw Exp $
## Keywords: Oscilloscope, GDS-2000, gds2000tools, sign

function ml = __gds_memory_length(gs)
	if(nargin != 1 || !isstruct(gs))
		print_usage();
	endif

	##
	## Check if we have the data we should have
	##
	ml = length(gs.Waveform_Data);
	if(ml != gs.Memory_Length)
		warning("Data length inconsistent")
	endif
endfunction
